## org.eclipse.datatools.enablement.sybase.ddl
Class SybaseEngineeringOptionID

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.definition.EngineeringOptionID
          org.eclipse.datatools.enablement.sybase.ddl.SybaseEngineeringOptionID

    public class SybaseEngineeringOptionID

extends EngineeringOptionID

TODO: 1. add more options here for IQ 2. add temp table or other object type

Field Summary
`static int` `DBSPACE`
`static int` `DEFAULTS`
`static int` `EXTRACODE`
`static int` `FULLY_SYNTAX`
`static java.lang.String` `GENERATE_CATALOGS`
`static java.lang.String` `GENERATE_COMMENTS`
`static java.lang.String` `GENERATE_DATABASE`
`static java.lang.String` `GENERATE_DBSPACES`
`static java.lang.String` `GENERATE_DEFAULTS`
`static java.lang.String` `GENERATE_EVENTS`
`static java.lang.String` `GENERATE_EXTRA_CODE`
`static java.lang.String` `GENERATE_FULL_SYNTAX` Specifies whether to generate the optional ddl statements when the model's value is set to default.
`static java.lang.String` `GENERATE_JOIN_INDICES`
`static java.lang.String` `GENERATE_PRIVILEGE`
`static java.lang.String` `GENERATE_PROXY_TABLES`
`static java.lang.String` `GENERATE_ROUTINES`
`static java.lang.String` `GENERATE_RULES`
`static java.lang.String` `GENERATE_SEGMENTS`
`static java.lang.String` `GENERATE_SETUSER`
`static java.lang.String` `GENERATE_UNIQUE_CONSTRAINTS`
`static java.lang.String` `GENERATE_USEDATABASE`
`static java.lang.String` `GENERATE_USERS_GROUPS`
`static int` `PRIMARY_KEY`
`static int` `PRIVILEGE`
`static int` `PROXY_TABLES`
`static int` `RULES`
`static int` `SEGMENTS`
`static int` `USERS_GROUPS`

Fields inherited from class org.eclipse.datatools.connectivity.sqm.core.definition.EngineeringOptionID

`CHECK_CONSTRAINT, DATABASE, FOREIGN_KEY, GENERATE_ASSERTIONS, GENERATE_CK_CONSTRAINTS, GENERATE_CREATE_STATEMENTS, GENERATE_DROP_STATEMENTS, GENERATE_FK_CONSTRAINTS, GENERATE_FULLY_QUALIFIED_NAME, GENERATE_FUNCTIONS, GENERATE_INDICES, GENERATE_PK_CONSTRAINTS, GENERATE_QUOTED_IDENTIFIER, GENERATE_SCHEMAS, GENERATE_SEQUENCES, GENERATE_STOREDPROCEDURES, GENERATE_TABLES, GENERATE_TRIGGERS, GENERATE_USER_DEFINED_TYPE, GENERATE_VIEWS, INDEX, PROCEDURE, SCHEMA, SEQUENCE, TABLE, TRIGGER, UNIQUE_CONSTRAINT, USER_DEFINED_FUNCTION, USER_DEFINED_TYPE, VIEW`

Constructor Summary
`SybaseEngineeringOptionID()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.definition.EngineeringOptionID
`getOptionValue, getOptionValueByID, setOptionValueByID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERATE_FULL_SYNTAX

    public static final java.lang.String GENERATE_FULL_SYNTAX

  Specifies whether to generate the optional ddl statements when the model's value is set to default.

  See Also:
    Constant Field Values

### GENERATE_EXTRA_CODE

    public static final java.lang.String GENERATE_EXTRA_CODE

See Also:
  Constant Field Values

### GENERATE_COMMENTS

    public static final java.lang.String GENERATE_COMMENTS

See Also:
  Constant Field Values

### GENERATE_PRIVILEGE

    public static final java.lang.String GENERATE_PRIVILEGE

See Also:
  Constant Field Values

### GENERATE_SETUSER

    public static final java.lang.String GENERATE_SETUSER

See Also:
  Constant Field Values

### GENERATE_USEDATABASE

    public static final java.lang.String GENERATE_USEDATABASE

See Also:
  Constant Field Values

### GENERATE_USERS_GROUPS

    public static final java.lang.String GENERATE_USERS_GROUPS

See Also:
  Constant Field Values

### GENERATE_PROXY_TABLES

    public static final java.lang.String GENERATE_PROXY_TABLES

See Also:
  Constant Field Values

### GENERATE_UNIQUE_CONSTRAINTS

    public static final java.lang.String GENERATE_UNIQUE_CONSTRAINTS

See Also:
  Constant Field Values

### GENERATE_DATABASE

    public static final java.lang.String GENERATE_DATABASE

See Also:
  Constant Field Values

### GENERATE_CATALOGS

    public static final java.lang.String GENERATE_CATALOGS

See Also:
  Constant Field Values

### GENERATE_DEFAULTS

    public static final java.lang.String GENERATE_DEFAULTS

See Also:
  Constant Field Values

### GENERATE_RULES

    public static final java.lang.String GENERATE_RULES

See Also:
  Constant Field Values

### GENERATE_SEGMENTS

    public static final java.lang.String GENERATE_SEGMENTS

See Also:
  Constant Field Values

### GENERATE_DBSPACES

    public static final java.lang.String GENERATE_DBSPACES

See Also:
  Constant Field Values

### GENERATE_EVENTS

    public static final java.lang.String GENERATE_EVENTS

See Also:
  Constant Field Values

### GENERATE_ROUTINES

    public static final java.lang.String GENERATE_ROUTINES

See Also:
  Constant Field Values

### GENERATE_JOIN_INDICES

    public static final java.lang.String GENERATE_JOIN_INDICES

See Also:
  Constant Field Values

### USERS_GROUPS

    public static final int USERS_GROUPS

See Also:
  Constant Field Values

### PROXY_TABLES

    public static final int PROXY_TABLES

See Also:
  Constant Field Values

### PRIMARY_KEY

    public static final int PRIMARY_KEY

See Also:
  Constant Field Values

### PRIVILEGE

    public static final int PRIVILEGE

See Also:
  Constant Field Values

### RULES

    public static final int RULES

See Also:
  Constant Field Values

### DEFAULTS

    public static final int DEFAULTS

See Also:
  Constant Field Values

### SEGMENTS

    public static final int SEGMENTS

See Also:
  Constant Field Values

### DBSPACE

    public static final int DBSPACE

See Also:
  Constant Field Values

### EXTRACODE

    public static final int EXTRACODE

See Also:
  Constant Field Values

### FULLY_SYNTAX

    public static final int FULLY_SYNTAX

See Also:
  Constant Field Values

Constructor Detail

### SybaseEngineeringOptionID

    public SybaseEngineeringOptionID()